-- new inputs for research lab
data.raw.lab.lab.inputs = {
    "basic-science-pack",
    "advanced-science-pack",
    "expert-science-pack",
    "hitech-science-pack",
    "automation-science-pack",
    "metallurgy-science-pack",
    "military-science-pack",
    "electronics-science-pack",
    "power-science-pack",
    "chemistry-science-pack",
    "rocketry-science-pack",
    "robotics-science-pack"
}

data:extend({
    {
        type = "assembling-machine",
        name = "research-station-1",
        icon = "__research-overhaul__/graphics/research-station-1-icon.png",
        flags = { "placeable-neutral", "placeable-player", "player-creation" },
        minable = { hardness = 0.2, mining_time = 0.5, result = "research-station-1" },
        max_health = 150,
        corpse = "small-remnants",
        resistances = {
            {
                type = "fire",
                percent = 50
            }
        },
        working_sound = {
            sound = {
                filename = "__base__/sound/lab.ogg",
                volume = 0.5
            },
            apparent_volume = 1
        },
        animation = {
            filename = "__research-overhaul__/graphics/research-station-1.png",
            priority = "high",
            width = 32,
            height = 32,
            frame_count = 8,
            line_length = 8,
            shift = { 0.0, 0.0 }
        },
        collision_box = {{ -0.5, -0.5 }, { 0.5, 0.5 }},
        selection_box = {{ -0.5, -0.5 }, { 0.5, 0.5 }},
        crafting_categories = { "basic-research-crafting" },
        crafting_speed = 1,
        energy_source = {
            type = "electric",
            usage_priority = "secondary-input",
            emissions = 0.01 / 2.5
        },
        energy_usage = "25kW",
        ingredient_count = 0
    },
    {
        type = "assembling-machine",
        name = "research-station-2",
        icon = "__research-overhaul__/graphics/research-station-2-icon.png",
        flags = { "placeable-neutral", "placeable-player", "player-creation" },
        minable = { hardness = 0.2, mining_time = 0.5, result = "research-station-2" },
        max_health = 150,
        corpse = "small-remnants",
        resistances = {
            {
                type = "fire",
                percent = 50
            }
        },
        working_sound = {
            sound = {
                filename = "__base__/sound/lab.ogg",
                volume = 0.5
            },
            apparent_volume = 1
        },
        animation = {
            filename = "__research-overhaul__/graphics/research-station-2.png",
            priority = "high",
            width = 32,
            height = 32,
            frame_count = 8,
            line_length = 8,
            shift = { 0.0, 0.0 }
        },
        collision_box = {{ -0.5, -0.5 }, { 0.5, 0.5 }},
        selection_box = {{ -0.5, -0.5 }, { 0.5, 0.5 }},
        crafting_categories = { "research-crafting" },
        crafting_speed = 1,
        energy_source = {
            type = "electric",
            usage_priority = "secondary-input",
            emissions = 0.01 / 2.5
        },
        energy_usage = "35kW",
        ingredient_count = 1
    },
    {
        type = "assembling-machine",
        name = "research-station-3",
        icon = "__research-overhaul__/graphics/research-station-3-icon.png",
        flags = { "placeable-neutral", "placeable-player", "player-creation" },
        minable = { hardness = 0.2, mining_time = 0.5, result = "research-station-3" },
        max_health = 150,
        corpse = "small-remnants",
        resistances = {
            {
                type = "fire",
                percent = 50
            }
        },
        working_sound = {
            sound = {
                filename = "__base__/sound/lab.ogg",
                volume = 0.5
            },
            apparent_volume = 1
        },
        animation = {
            filename = "__research-overhaul__/graphics/research-station-3.png",
            priority = "high",
            width = 32,
            height = 32,
            frame_count = 8,
            line_length = 8,
            shift = { 0.0, 0.0 }
        },
        collision_box = {{ -0.5, -0.5 }, { 0.5, 0.5 }},
        selection_box = {{ -0.5, -0.5 }, { 0.5, 0.5 }},
        crafting_categories = { "advanced-research-crafting" },
        crafting_speed = 1,
        energy_source = {
            type = "electric",
            usage_priority = "secondary-input",
            emissions = 0.01 / 2.5
        },
        energy_usage = "50kW",
        ingredient_count = 1
    }
})

