-- overhaul of all base game technologies
require("technology/bullet-upgrades")
require("technology/chemistry")
require("technology/combat-robots")
require("technology/equipment")
require("technology/gun-turret-upgrades")
require("technology/laser-turret-upgrades")
require("technology/logistic-robot")
require("technology/module")
require("technology/rocket-upgrades")
require("technology/shotgun-shell-upgrades")
require("technology/technology")

-- new technologies related to research overhaul
data:extend({

    {
        type = "technology",
        name = "research-stations-1",
        icon = "__research-overhaul__/graphics/research-station-2-icon.png",
        effects = {
            {
                type = "unlock-recipe",
                recipe = "research-station-2",
            },
            {
                type = "unlock-recipe",
                recipe = "advanced-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "metallurgy-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "military-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "automation-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "electronics-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "power-science-pack"
            }
        },
        unit = {
            count = 20,
            ingredients = {
                { "basic-science-pack", 1 }
            },
            time = 20
        },
        order = "x-a-a"
    },

    {
        type = "technology",
        name = "research-stations-2",
        icon = "__research-overhaul__/graphics/research-station-3-icon.png",
        prerequisites = {
            "research-stations-1"
        },
        effects = {
            {
                type = "unlock-recipe",
                recipe = "research-station-3",
            },
            {
                type = "unlock-recipe",
                recipe = "expert-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "chemistry-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "hitech-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "robotics-science-pack"
            },
            {
                type = "unlock-recipe",
                recipe = "rocketry-science-pack"
            }
        },
        unit = {
          count = 30,
          ingredients = {
              { "advanced-science-pack", 2 }
          },
          time = 30
        },
        order = "x-b-a"
    }

})

